Subject: bug#33887: 26.1; Emacs hangs for several seconds when going to the end of an XML file in nXML mode

From: Noam Postavsky <[email-masked]>
Date: Sun, 19 May 2019 15:03:33 -0400

Stefan Monnier <[email-masked]> writes:

> Can you summarize the origin of the problem in his example?

<t>>1</t>

(syntax-ppss) on the location of "1" in the above, gives (-1 ...).  And
then (syntax-ppss) on the "/" will give (0 ...).  So the syntax
propertize rule for quote use of (zerop (car (syntax-ppss))) no longer
works correctly to see whether it's inside or outside a tag.

">" outside of tags should be set to syntax ".", but I would assume that
adding a syntax-propertize rule which calls syntax-ppss for every ">"
(to check whether it's inside a tag or not) will be very slow, just like
calling it for every quote was.